Bug 42175 - RV730: Display errors in glxgears & WebGL
RV730: Display errors in glxgears & WebGL
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600
git
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 14:06 UTC by Stefan
Modified: 2011-10-26 06:07 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
glxgears screenshot (14.78 KB, image/jpeg)
2011-10-24 14:06 UTC, Stefan
Details
Lesson 3 screenshot (15.85 KB, image/jpeg)
2011-10-24 14:07 UTC, Stefan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan 2011-10-24 14:06:00 UTC
Since Mesa 7.11-rc2 the gallium driver is used on my machine and produces display errors. Find attached a glxgears screenshot and a screendump of http://learningwebgl.com/lessons/lesson03/index.html produced with the current Firefox.

Before and including 7.11-rc1 seemed to use the old driver which does not produce rendering errors but which crashes Firefox in http://learningwebgl.com/lessons/lesson16/index.html or in the Aquarium of http://code.google.com/p/webglsamples/.
Comment 1 Stefan 2011-10-24 14:06:39 UTC
Created attachment 52710 [details]
glxgears screenshot
Comment 2 Stefan 2011-10-24 14:07:44 UTC
Created attachment 52713 [details]
Lesson 3 screenshot
Comment 3 Alex Deucher 2011-10-24 14:44:38 UTC
Can you bisect?
Comment 4 Stefan 2011-10-24 14:55:59 UTC
(In reply to comment #3)
> Can you bisect?

The change took place between 7.11-rc1 and -rc2:

a8907c6005d7935b4520255e12184c139471b5b9 is the first bad commit
commit a8907c6005d7935b4520255e12184c139471b5b9
Author: Benjamin Franzke <benjaminfranzke@googlemail.com>
Date: Sat Jul 2 13:41:35 2011 +0200

But: This is where the switch from the old driver to the Gallium takes place. The old driver got used in my configuration up to 7.11-rc1 because the udev-devel packet was not installed. Eventually after installing it 7.11-rc1 uses the new driver.

So currently I don't have a "good" reference for a bisection.

BTW: https://bugzilla.mozilla.org/show_bug.cgi?id=693056 (origin of the current problems).
Comment 5 Stefan 2011-10-24 17:32:00 UTC
Mesa 7.12-devel (git-faa16dc) Works. No crash, no picture errors.
Comment 6 Michel Dänzer 2011-10-25 08:00:08 UTC
(In reply to comment #5)
> Mesa 7.12-devel (git-faa16dc) Works. No crash, no picture errors.

What about the current 7.11 branch? If that still shows the display errors, you should be able to bisect the change that fixed it on the master branch.
Comment 7 Stefan 2011-10-25 08:16:45 UTC
(In reply to comment #6)
> What about the current 7.11 branch? If that still shows the display errors, you
> should be able to bisect the change that fixed it on the master branch.

No bisection required. The bug was fixed by this commit:

"r600g: set correct tiling flags in depth info"
http://cgit.freedesktop.org/mesa/mesa/commit/?id=faa16dc456f1f910eef24eaa23889be806b513b7

which I just verified by re-compiling mesa with the reversed patch applied.
Comment 8 Michel Dänzer 2011-10-26 01:47:13 UTC
(In reply to comment #7)
> No bisection required. The bug was fixed by this commit:
> 
> "r600g: set correct tiling flags in depth info"
> http://cgit.freedesktop.org/mesa/mesa/commit/?id=faa16dc456f1f910eef24eaa23889be806b513b7

Weird, as the commit log says, it's supposed to be a no-op ATM...

Marek, does this make sense to you? Should this change be backported to the 7.11 branch?
Comment 9 Marek Olšák 2011-10-26 05:29:24 UTC
No, it doesn't make sense. :) He might have an older, more buggy kernel than me. That would be the only explanation. I was working with the latest drm-fixes branch (3.1 rc10). Anyway I think the fix can safely go into 7.11.
Comment 10 Stefan 2011-10-26 05:38:41 UTC
(In reply to comment #9)
> He might have an older, more buggy kernel than me.

I'm using the longterm kernel 2.6.35.14.
Comment 11 Michel Dänzer 2011-10-26 06:07:50 UTC
Marek backported the fix to the 7.11 branch, thanks.